class Voter < ActiveRecord::Base
  belongs_to :election
  has_one :vote
  
  def reset_vote
    self.vote.destroy
    self.reload
  end
  
  def destroy
    vote.destroy if vote
    super
  end

  def voted?
    vote.confirmed == 1
  end
end


